Package org.jetbrains.annotations

# Class Async

java.lang.Object
org.jetbrains.annotations.Async

public final class Async extends Object
Helper annotations for asynchronous computation. Used for example in IntelliJ IDEA's debugger for async stacktraces feature.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`Async.Execute`
Indicates that the marked method executes async computation.
`static @interface`
`Async.Schedule`
Indicates that the marked method schedules async computation.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`